Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface WorklistRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface WorklistRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

MBean for accessing runtime information about the worklist

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Method Summary
`void` | `abortTask(String taskId)`
`void` | `archiveTasks()`
`void` | `assignToUser(String userName, String taskId)`
`String` | `assignToUserInGroup(String groupName, String taskId)`
`void` | `assignToUsersAndGroups(String[] userNamesAndOrGroupNames, String taskId)`
`void` | `claimTask(String taskId)`
`void` | `claimTask(String user, String taskId)`
`void` | `completeTask(String taskId)`
`void` | `deleteTask(String taskId)`
`void` | `deleteTasks(TaskSelector selector)`
`int` | `getSelectedTasksNumber(TaskSelector selector)`
`String[]` | `getTaskIds(TaskSelector selector)`
`TaskInfo` | `getTaskInfo(String taskId)`
`TaskInfo[]` | `getTaskInfos(TaskSelector selector)`
`String[]` | `getTaskProperties(String[] propertyNames, String taskId)`
`String[]` | `getTaskPropertiesNames(String taskId)` Return all the task properties names
`String` | `getTaskProperty(String propertyName, String taskId)` get a task Property
`TaskMessage` | `getTaskRequest(String taskId)`
`com.bea.xml.XmlObject` | `getTaskRequestAsXmlObject(String taskId)`
`TaskMessage` | `getTaskResponse(String taskId)`
`com.bea.xml.XmlObject` | `getTaskResponseAsXmlObject(String taskId)`
`void` | `purgeTasks()`
`String[]` | `removeTaskProperties(String[] propertyNames, String taskId)` Return the values of the removed properties, the value is null if not found
`void` | `resumeTask(String taskId)`
`void` | `returnTask(String taskId)`
`void` | `setTaskCanBeAborted(Boolean value, String taskId)`
`void` | `setTaskCanBeReassigned(Boolean value, String taskId)`
`void` | `setTaskCanBeReturned(Boolean value, String taskId)`
`void` | `setTaskClaimDueBusinessDate(BusinessTime time, String taskId)`
`void` | `setTaskClaimDueDate(Date claimDueDate, String taskId)`
`void` | `setTaskComment(String comment, String taskId)`
`void` | `setTaskCompletionDueBusinessDate(BusinessTime time, String taskId)`
`void` | `setTaskCompletionDueDate(Date completeDueDate, String taskId)`
`void` | `setTaskOwner(String owner, String taskId)`
`void` | `setTaskPriority(Integer priority, String taskId)`
`String[]` | `setTaskProperties(String[] propertyNames, String[] values, String taskId)`
`String` | `setTaskProperty(String propertyName, String value, String taskId)` Return the previous value if there was one
`void` | `setTaskRequest(TaskMessage request, String taskId)`
`void` | `setTaskRequestAsXmlObject(com.bea.xml.XmlObject request, String mimeType, String taskId)`
`void` | `setTaskResponse(TaskMessage response, String taskId)`
`void` | `setTaskResponseAsXmlObject(com.bea.xml.XmlObject response, String mimeType, String taskId)`
`void` | `startTask(String taskId)`
`void` | `stopTask(String taskId)`
`void` | `suspendTask(String taskId)`

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getSelectedTasksNumber

    public int getSelectedTasksNumber(TaskSelector selector)
                               throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getTaskInfo

    public TaskInfo getTaskInfo(String taskId)
                         throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getTaskInfos

    public TaskInfo[] getTaskInfos(TaskSelector selector)
                            throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getTaskIds

    public String[] getTaskIds(TaskSelector selector)
                        throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### assignToUser

    public void assignToUser(String userName,
                             String taskId)
                      throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### assignToUserInGroup

    public String assignToUserInGroup(String groupName,
                                      String taskId)
                               throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### assignToUsersAndGroups

    public void assignToUsersAndGroups(String[] userNamesAndOrGroupNames,
                                       String taskId)
                                throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### claimTask

    public void claimTask(String taskId)
                   throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### claimTask

    public void claimTask(String user,
                          String taskId)
                   throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### returnTask

    public void returnTask(String taskId)
                    throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### startTask

    public void startTask(String taskId)
                   throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### stopTask

    public void stopTask(String taskId)
                  throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### suspendTask

    public void suspendTask(String taskId)
                     throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### resumeTask

    public void resumeTask(String taskId)
                    throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### completeTask

    public void completeTask(String taskId)
                      throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### abortTask

    public void abortTask(String taskId)
                   throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskComment

    public void setTaskComment(String comment,
                               String taskId)
                        throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskPriority

    public void setTaskPriority(Integer priority,
                                String taskId)
                         throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskCompletionDueDate

    public void setTaskCompletionDueDate(Date completeDueDate,
                                         String taskId)
                                  throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskClaimDueDate

    public void setTaskClaimDueDate(Date claimDueDate,
                                    String taskId)
                             throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskCompletionDueBusinessDate

    public void setTaskCompletionDueBusinessDate(BusinessTime time,
                                                 String taskId)
                                          throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskClaimDueBusinessDate

    public void setTaskClaimDueBusinessDate(BusinessTime time,
                                            String taskId)
                                     throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskOwner

    public void setTaskOwner(String owner,
                             String taskId)
                      throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskCanBeReassigned

    public void setTaskCanBeReassigned(Boolean value,
                                       String taskId)
                                throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskCanBeReturned

    public void setTaskCanBeReturned(Boolean value,
                                     String taskId)
                              throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskCanBeAborted

    public void setTaskCanBeAborted(Boolean value,
                                    String taskId)
                             throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getTaskRequest

    public TaskMessage getTaskRequest(String taskId)
                               throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getTaskRequestAsXmlObject

    public com.bea.xml.XmlObject getTaskRequestAsXmlObject(String taskId)
                                                    throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskRequest

    public void setTaskRequest(TaskMessage request,
                               String taskId)
                        throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskRequestAsXmlObject

    public void setTaskRequestAsXmlObject(com.bea.xml.XmlObject request,
                                          String mimeType,
                                          String taskId)
                                   throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getTaskResponse

    public TaskMessage getTaskResponse(String taskId)
                                throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getTaskResponseAsXmlObject

    public com.bea.xml.XmlObject getTaskResponseAsXmlObject(String taskId)
                                                     throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskResponse

    public void setTaskResponse(TaskMessage response,
                                String taskId)
                         throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskResponseAsXmlObject

    public void setTaskResponseAsXmlObject(com.bea.xml.XmlObject response,
                                           String mimeType,
                                           String taskId)
                                    throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getTaskProperty

    public String getTaskProperty(String propertyName,
                                  String taskId)
                           throws javax.management.MBeanException

  get a task Property

  Parameters:
    `propertyName` -
    `taskId` -
  Returns:
  Throws:
    `javax.management.MBeanException`

### getTaskProperties

    public String[] getTaskProperties(String[] propertyNames,
                                      String taskId)
                               throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### setTaskProperty

    public String setTaskProperty(String propertyName,
                                  String value,
                                  String taskId)
                           throws javax.management.MBeanException

  Return the previous value if there was one

  Parameters:
    `propertyName` -
    `value` -
    `taskId` -
  Returns:
  Throws:
    `javax.management.MBeanException`

### setTaskProperties

    public String[] setTaskProperties(String[] propertyNames,
                                      String[] values,
                                      String taskId)
                               throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getTaskPropertiesNames

    public String[] getTaskPropertiesNames(String taskId)
                                    throws javax.management.MBeanException

  Return all the task properties names

  Parameters:
    `taskId` -
  Returns:
  Throws:
    `javax.management.MBeanException`

### removeTaskProperties

    public String[] removeTaskProperties(String[] propertyNames,
                                         String taskId)
                                  throws javax.management.MBeanException

  Return the values of the removed properties, the value is null if not found

  Parameters:
    `propertyNames` -
    `taskId` -
  Returns:
  Throws:
    `javax.management.MBeanException`

### archiveTasks

    public void archiveTasks()
                      throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### purgeTasks

    public void purgeTasks()
                    throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### deleteTask

    public void deleteTask(String taskId)
                    throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### deleteTasks

    public void deleteTasks(TaskSelector selector)
                     throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD